


## Individual Trends
#######################
# Look at trends at each single station, ie Fig 6 of the paper.

# Function id_trend: calculate relative trends for an univariate TS
#  Inputs:
#	x	: the input time-series (TS)
#	rel	: if "T", the calculation is done relative to the first year 
#		  if "F", the calculation is done on the raw data (ie relative to the temporal average)
#  Output:
#	delta	: a 3x1 vector providing [best-estimate, lower_bound_90, upper_bound_90]
id_trend = function(x,rel=T){
	lmo=lm(x~years)
	ny = length(years)
	lmf=lmo$fitted.values 
	dlm=lmf[ny]-lmf[1]
	ic_beta = confint(lmo,level=.9)[2,]
	ic_delta = ic_beta * ny
	delta = c(dlm,ic_delta)
	if (rel==F){ return(delta); }
	else{ return(delta/(1-delta/2)); }
}

# Main analysis
idt14 = apply(d.st.mat14,2,"id_trend")
idt = idt14
ll_tmp = ll14
# Figure
pdf("figures/Indiv_station_trends_Fig6.pdf",paper="special",width=9,height=8)
source("indiv.R")
dev.off()


